xserverでのphpのバージョンが変更されない!?xserverのcliでのphpのバージョンの変更方法

経緯

初期状態のxserverのcliでのphpのバージョンが5.4.*だった。

このままではcakephp3.7.*が使用できない。

なのでcilでのphpのバージョンをphp7.1.*に上げることにした。

注意

xserverのphpはバージョンはweb上からxserverにログインして変更できるが、あれはweb上で走るphpのバー上んであり、cliでのphpのバージョンの変更は今回の記事の対応が必要。

手順

ディレクトリの作成

実行ファイルのリンクを配置するディレクトリを作成

phpシンボリックを作成

パスの変更

ファイルを開いたら、下記のように変更

 

ssh接続を再接続し

で指定のバージョンになっていることを確認する。

参考サイト

➡エックスサーバにLaravelをインストールしたいがPHPバージョン変更ができない

➡よく使う Vim のコマンドまとめ

おすすめの記事